directories
  '*.dmf' = 'C:\Program Files\Control Web 2000\Dmf';
  '*.par' = 'C:\Program Files\Control Web 2000\Par';
  '*.ICO' = 'C:\Program Files\Control Web 2000\ico';
end_directories;

settings
  operation_mode = real_time;
  input_timeout = 2;
  output_timeout = 2;
  time_error_limit = 2;
  paint_time_limit = 2;
  skip_init_procedures = true;
end_settings;

const
end_const;

var
end_var;

driver
  pcd = 'cw_pcd7104.dll', 'Pcd7104.dmf', 'Pcd7104.par';
end_driver;

channel
  k0 = boolean, 0, pcd, input;
  k1 = boolean, 1, pcd, input;
  k10 = boolean, 10, pcd, input;
  k11 = boolean, 11, pcd, input;
  k12 = boolean, 12, pcd, input;
  k13 = boolean, 13, pcd, input;
  k14 = boolean, 14, pcd, input;
  k15 = boolean, 15, pcd, input;
  k2 = boolean, 2, pcd, input;
  k3 = boolean, 3, pcd, input;
  k32 = longcard, 32, pcd, input;
  k33 = longcard, 33, pcd, input;
  k4 = boolean, 4, pcd, input;
  k40 = boolean, 40, pcd, output, false;
  k41 = boolean, 41, pcd, output, false;
  k42 = boolean, 42, pcd, output, false;
  k43 = boolean, 43, pcd, output, false;
  k44 = boolean, 44, pcd, output, false;
  k45 = boolean, 45, pcd, output, false;
  k46 = boolean, 46, pcd, output, false;
  k47 = boolean, 47, pcd, output, false;
  k48 = boolean, 48, pcd, output, false;
  k49 = boolean, 49, pcd, output, false;
  k5 = boolean, 5, pcd, input;
  k50 = boolean, 50, pcd, output, false;
  k51 = boolean, 51, pcd, output, false;
  k52 = boolean, 52, pcd, output, false;
  k53 = boolean, 53, pcd, output, false;
  k54 = boolean, 54, pcd, output, false;
  k55 = boolean, 55, pcd, output, false;
  k6 = boolean, 6, pcd, input;
  k7 = boolean, 7, pcd, input;
  k72 = longcard, 72, pcd, output, 0;
  k73 = longcard, 73, pcd, output, 0;
  k8 = boolean, 8, pcd, input;
  k9 = boolean, 9, pcd, input;
end_channel;

timer
end_timer;

instrument

  window panel backpane;
    rem = 'hlavn panel aplikace';
    owner = background;
    position = 3, 21, 1018, 716;
    win_disable = zoom;
    win_title = 'pcd7104';
    visibility = false;
  end_panel;

  meter meter_6;
    timer = 0.1;
    owner = backpane;
    position = 402, 129, 64, 19;
    expression = k33;
    mode = text_display;
    range_to = 255;
    low_limit = 0;
    high_limit = 255;
    dec_places = 0;
    font = 'Tahoma (Central European)', 8, bold;
    colors
      ink = black;
      paper = white;
      value = white;
      low_limit = white;
      high_limit = white;
    end_colors;
  end_meter;

  meter meter_6;
    timer = 0.1;
    owner = backpane;
    position = 222, 129, 64, 19;
    expression = k32;
    mode = text_display;
    range_to = 255;
    low_limit = 0;
    high_limit = 255;
    dec_places = 0;
    font = 'Tahoma (Central European)', 8, bold;
    colors
      ink = black;
      paper = white;
      value = white;
      low_limit = white;
      high_limit = white;
    end_colors;
  end_meter;

  control control_4;
    owner = backpane;
    position = 402, 249, 65, 20;
    send_same_data;
    output = k73;
    mode = edit_box;
    range_to = 255;
    dec_places = 0;
  end_control;

  control control_4;
    owner = backpane;
    position = 222, 249, 65, 20;
    send_same_data;
    output = k72;
    mode = edit_box;
    range_to = 255;
    dec_places = 0;
  end_control;

  label label_1;
    owner = backpane;
    position = 492, 184;
    font = 'Arial (Central European)', 10, bold;
    text = '16';
  end_label;

  label label_1;
    owner = backpane;
    position = 177, 184;
    font = 'Arial (Central European)', 10, bold;
    text = '1';
  end_label;

  label label_1;
    owner = backpane;
    position = 102, 209;
    font = 'Arial (Central European)', 10, bold;
    text = 'DOUT';
  end_label;

  label label_1;
    owner = backpane;
    position = 102, 164;
    font = 'Arial (Central European)', 10, bold;
    text = 'DIN';
  end_label;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 492, 164;
    expression = k15;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 472, 164;
    expression = k14;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 452, 164;
    expression = k13;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 432, 164;
    expression = k12;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 412, 164;
    expression = k11;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 392, 164;
    expression = k10;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 372, 164;
    expression = k9;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 352, 164;
    expression = k8;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 317, 164;
    expression = k7;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 297, 164;
    expression = k6;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 277, 164;
    expression = k5;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 257, 164;
    expression = k4;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 237, 164;
    expression = k3;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 217, 164;
    expression = k2;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 197, 164;
    expression = k1;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  switch switch_3;
    owner = backpane;
    position = 492, 209, 21, 21;
    output = k55;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 472, 209, 21, 21;
    output = k54;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 452, 209, 21, 21;
    output = k53;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 432, 209, 21, 21;
    output = k52;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 412, 209, 21, 21;
    output = k51;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 392, 209, 21, 21;
    output = k50;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 372, 209, 21, 21;
    output = k49;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 352, 209, 21, 21;
    output = k48;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 312, 209, 21, 21;
    output = k47;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 292, 209, 21, 21;
    output = k46;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 272, 209, 21, 21;
    output = k45;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 252, 209, 21, 21;
    output = k44;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 232, 209, 21, 21;
    output = k43;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 212, 209, 21, 21;
    output = k42;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 192, 209, 21, 21;
    output = k41;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 172, 209, 21, 21;
    output = k40;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  indicator indicator_2;
    timer = 0.1;
    owner = backpane;
    position = 177, 164;
    expression = k0;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  label label_1;
    owner = backpane;
    position = 417, 24;
    font = 'Arial (Central European)', 24, bold;
    text = 'PCD-7104';
    colors
      ink = lred;
    end_colors;
  end_label;

  program startup;
    
    procedure OnActivate();
    begin
      backpane.NewRect( WorkX, WorkY, WorkW, WorkD );
      backpane.Show();
      backpane.Select();
    end_procedure;
    
  end_program;

end_instrument;

